summaryrefslogtreecommitdiffstats
path: root/hosts/alsvid3/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'hosts/alsvid3/postinst')
-rw-r--r--hosts/alsvid3/postinst16
1 files changed, 16 insertions, 0 deletions
diff --git a/hosts/alsvid3/postinst b/hosts/alsvid3/postinst
index 2767e60..31ac58b 100644
--- a/hosts/alsvid3/postinst
+++ b/hosts/alsvid3/postinst
@@ -77,6 +77,22 @@ in_target sudo -u pj sh <<-EOF
EOF
[ ${?} -ne 0 ] && return 1
+# Install skippy-xd.
+in_target sudo -u pj sh <<-EOF
+ set -e
+ git clone https://github.com/richardgv/skippy-xd \
+ /home/pj/src/skippy-xd/
+ cd /home/pj/src/skippy-xd/
+ make
+ EOF
+[ ${?} -ne 0 ] && return 1
+in_target sh <<-EOF
+ set -e
+ cd /home/pj/src/skippy-xd/
+ make PREFIX=/usr/local install
+ EOF
+[ ${?} -ne 0 ] && return 1
+
# Download wallpaper.
in_target sudo -u pj wget -O /home/pj/.wallpaper \
http://product-files.libiquity.com/taurinus/boot-splash/x200/background.png